changeset 1827:b44abd1d6926

<oerjan> fetch http://oerjan.nvg.org/q
author HackBot
date Fri, 25 Jan 2013 21:22:49 +0000
parents 8949d5d1637d
children c07349799d0b
files q
diffstat 1 files changed, 12 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/q	Fri Jan 25 21:22:49 2013 +0000
@@ -0,0 +1,12 @@
+#!/bin/sh
+topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
+topic1=$(echo "$topic" | sed "s/s$//")
+if [ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ];
+    then cat /dev/urandom; exit 0;
+    elif [ -e "wisdom/$topic" ];
+    then cat "wisdom/$topic";
+    elif [ -e "wisdom/$topic1" ];
+    then cat "wisdom/$topic1";
+    else echo "$1? ¯\(°_o)/¯"; exit 1;
+fi
+